FROM circleci/node:latest-browsers

WORKDIR /usr/src/app

RUN npm config set registry https://registry.npmmirror.com

USER root
COPY package.json ./
RUN yarn
COPY ./ ./
RUN npm run test:all

CMD ["npm", "run", "build"]
